org.eclipse.jgit.internal.storage.pack

## Enum PackWriter.PackingPhase

- java.lang.Object
- - java.lang.Enum<PackWriter.PackingPhase>
  - - org.eclipse.jgit.internal.storage.pack.PackWriter.PackingPhase

All Implemented Interfaces:
  Serializable, Comparable<PackWriter.PackingPhase>

Enclosing class:
  PackWriter

    public static enum PackWriter.PackingPhase
    extends Enum<PackWriter.PackingPhase>

Possible states that a PackWriter can be in.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BUILDING_BITMAPS` Building bitmaps phase.
`COMPRESSING` Compressing objects phase.
`COUNTING` Counting objects phase.
`FINDING_SOURCES` Finding sources phase.
`GETTING_SIZES` Getting sizes phase.
`WRITING` Writing objects phase.

### Method Summary

Methods
`static PackWriter.PackingPhase` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PackWriter.PackingPhase[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### COUNTING

    public static final PackWriter.PackingPhase COUNTING

Counting objects phase.

#### GETTING_SIZES

    public static final PackWriter.PackingPhase GETTING_SIZES

Getting sizes phase.

#### FINDING_SOURCES

    public static final PackWriter.PackingPhase FINDING_SOURCES

Finding sources phase.

#### COMPRESSING

    public static final PackWriter.PackingPhase COMPRESSING

Compressing objects phase.

#### WRITING

    public static final PackWriter.PackingPhase WRITING

Writing objects phase.

#### BUILDING_BITMAPS

    public static final PackWriter.PackingPhase BUILDING_BITMAPS

Building bitmaps phase.

### Method Detail

#### values

    public static PackWriter.PackingPhase[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PackWriter.PackingPhase c : PackWriter.PackingPhase.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PackWriter.PackingPhase valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null